Subject: bug#5998: 23.1.96; Breadcrumbs defeat C-u 1 C-v in Info

From: Juri Linkov <[email-masked]>
Date: Mon, 05 Sep 2016 22:28:18 +0300

>> >>  emacs -Q
>> >>  C-u C-h i /path/to/emacs/info/emacs RET
>> >>  g Narrowing RET
>> >>  C-u 1 C-v
>> >>
>> >> Note that the display does not scroll by one line.
>> >
>> > And it is a regression: the problem does not exist in
>> > GNU Emacs 23.1.95.1 (i386-mingw-nt5.1.2600)
>> >  of 2010-04-03 on G41R2F1
>>
>> The problem appears fixed in Emacs 25. Eli, can you reproduce this
>> still?
>
> No.  Juri installed the patched he proposed during the discussion, so
> the bug is no longer exposed.  (But the original problem with
> scrolling a window that starts with invisible text followed by an
> overlay with an after-string -- that problem still exists.)

Or there is no bug at all: with invisible text followed by an overlay
with an after-string you can't put point to the beginning of the Info
buffer - probably for a reason.  OTOH, using more reasonable ‘display’
allows point to move to the top of the window, so perhaps this is why
scrolling works in the latter case but doesn't work in the former one.